function OnWarpEnter()
	SetMarker("cs\\Warp_0055.wp" , 0 , 0)
	
	-- flammes des bougies de l'autel
	AnimationSetToStart("epc1")

	-- Passage secret
	if SecretPassageW050 then
		AnimationSetToEnd("krc1",false)
	else
		AnimationSetToStart("krc1",false)
	end

	-- Piliers
	if PillarsDown then
		AnimationSetToEnd("kac1", false)
		AnimationSetToEnd("kbc1", false)
		AnimationSetToEnd("kcc1", false)
	else
		AnimationSetToStart("kac1",false)
		AnimationSetToStart("kbc1",false)
		AnimationSetToStart("kcc1",false)
	end

	-- Drap sur l'autel
	if BLANK_MOVED_D5 then
		AnimationSetToEnd("kxc1",true)
		if not PentacleMoved then
			AnimationSetToEnd("kzc1")
		end
	else
		AnimationSetToStart("kxc1",true)
		if ETAT_DAY == "D5" and MadeleinePoisoned then
--			SetMarker("kxc1",4,0)
		end
	end

	if ETAT_DAY == "D5" then
		if DEAD_UNCOVERED then
			-- couvertures et corps
			StartAnimationPart("eqc1",81,82,-1,false)
		else
			-- couvertures et corps
			AnimationSetToStart("eqc1",false)
			SetMarker("eqc1",4,0)
		end
		if AttackedByScrib then 
		SetMarker("pzc1",4,0)
		end
		if CanGoTo051 and TALK_QUEEN_D5 and not AttackedByScrib then
			LookAt(259, 001)
			DrawText("Ma2987","Ma2987.ogg",0) -- Dans ses notes Philibert évoque des lieux de culte païens sur lesquels on aurait construit des églises ou des chapelles.
			DrawText("Ma2988","Ma2988.ogg",0) -- Si c'est le cas du sanctuaire qu'il cherchait, il en existe peut-être un près d'ici.
			DrawText("Ma2989","Ma2989.ogg",0) -- J'ai le sentiment d'être sur la bonne voie, pourtant il me manque un élément essentiel.
			DrawText("Sc2990","Sc2990.ogg",4) -- J'ai peut-être ce que tu cherches, mais avant…
		end
		
		if AttackedByScrib then -- attaquée par le scribe
			--AnimationSetToEnd("kxc1",false) -- drap de l'autel
			StartAnimationPart("pzc1",0,20,-1,false)-- scribe

			if PillarsDown then
				SetMarker("cs\\Warp_0083.wp", 0, 0)
			elseif PentacleMoved then
				SetMarker("kzc1", -1, 0)
				RemoveFromBag("C_pentacle")
				RemoveFromBag("C_Cylindre")
				AddToBag("C_pentacle")
				AddToBag("C_Cylindre")
				SetMarker("kdc1", 4, 0)
			elseif CanTakePentacle then -- pentacle pris
				SetMarker("kzc1", 2, 0)
				SetMarker("kxc1", -1, 0)
				AnimationSetToEnd("kxc1", false)
			else
				--ShowPuzzle(7)
				SetMarker("kzc1", 4, 0)
			end
			if PuzzleMirrorsDone then -- mirroirs faits
				SetMarker("cs\\Warp_0083.wp", 0, 0)
			end
		end
		
		if Cylindre and not Pentacle then
			StartAnimationPart("kdc1",6,7,-1,true)
		end
		if Pentacle then
			StartAnimationPart("kdc1",7,8,-1,true)
		end
	end
end

function OnWaitFinished()
		
end


function OnDialogFinished(dialogName)
	if dialogName == "Sc2990" then
		ShowDocument("DeadEnd")
		PlaySound("Sounds/SFX/N_MoineAssommeMadeleine.ogg", 1)
	end
	if dialogName == "Sc2991" then
		HideDocument()
	end
	if dialogName == "Ma2992" or dialogName == "Ma2995" or dialogName == "Ma2998" 
	or dialogName == "Ma3001" or dialogName =="Ma3155" or dialogName == "Ma3005" 
	or dialogName == "Ma3152" then 
		StartAnimationPart("pzc1",30,50,-1,false)
	end

	if dialogName == "Sc2991" or dialogName == "Sc2994" or dialogName == "Sc2997" 
	or dialogName == "Sc3000" or dialogName == "Sc3003" or dialogName == "Sc3154" 
	or dialogName == "Sc3156" or dialogName == "Sc3012" or dialogName == "Sc3010" 
	or dialogName == "Sc3008" or dialogName == "Sc3151" or dialogName == "Sc3153" then 
		StartAnimationPart("pzc1",0,20,-1,false)
	end
	if dialogName == "Sc3002" then 
		StartAnimationPart("pzc1",30,90,-1,false)
	end
	if dialogName == "Ma3163" or dialogName == "Ma3158" or dialogName == "Sc3003" then
		SetMarker("pzc1", 4, 0)
	end
	if dialogName == "Ma3013" then
		PlaySound("Sounds/SFX/N_TremblementDeTerreCrypte.ogg", 1)
		EarthQuake = true

		DrawText("007","silence5s.ogg",4)
	end

	if dialogName == "007" then
		StartAnimationPart("pzc1",30,50,-1,false)
		DrawText("Sc3154","Sc3154.ogg",4) -- Encore ! Décidément ça n'arrête pas, ça doit bien être le douzième en quelque jours à peine !
		DrawText("Ma3155","Ma3155.ogg",0) -- Douze ! Vous en êtes sûr ?
		DrawText("Sc3156","Sc3156.ogg",4) -- Il me semble bien.
		DrawText("Ma3157","Ma3157.ogg",0) -- &quot;douze fois sonnera l’hécatombe&quot; et si la prophétie faisait référence à des tremblements de terre et non à des décès ! 
		DrawText("Ma3158","Ma3158.ogg",0) -- Ces quatrains vont donc peut-être finir par se réaliser.
	end

	if dialogName == "Sc3008" or dialogName == "Sc3010" then
		--AskSeparation()
	end

	if dialogName == "Sc3008" or dialogName == "Sc3010" or dialogName == "Ma3158" then
		-- put the markers back
		if not BLANK_MOVED_D5 then
			--SetMarker("kxc1", 4, 0)
		end

		if not PentacleMoved then
			if CanTakePentacle then
				SetMarker("kzc1", 2, 0)
			else
				SetMarker("kzc1", 4, 0)
			end
		end
		SetMarker("pzc1", 4, 0)
	end
end

function OnAnimationFinished(objectName)
	if ETAT_DAY == "D5" then
		-- couvertures et corps
		if objectName == "eqc1" then
			StartAnimationPart("eqc1",81,82,-1,false)
			SetMarker("eqc1",-1,0)
			DEAD_UNCOVERED = true
			DrawText("Ma2774","Ma2774.ogg",0) -- Père avait raison, le scribe est toujours en vie.
			DrawText("Ma2775","Ma2775.ogg",0) -- J'ai intérêt à être prudente, je suis peut-être l'une de ses prochaines victimes.
		end	
		if objectName=="kxc1" then
			-- drap sur l'autel
			AnimationSetToEnd("kxc1",false)
		end
		if objectName == "kdc1" then
			SecretPassageW050 = true
			AnimationSetToEnd("krc1",false)
			LookAt(088,012)
			DrawText("Sc3131","Sc3131.ogg",4) -- Alors ?
			DrawText("Ma3163","Ma3163.ogg",0) -- Je ne sais pas encore.
		end
		if objectName == "kac1" or objectName == "kbc1"  or objectName == "kcc1" then
			AnimationSetToEnd("kac1", false)
			AnimationSetToEnd("kbc1", false)
			AnimationSetToEnd("kcc1", false)
			DrawText("Sc3151","Sc3151.ogg",4) -- C'est parfait ! Descend la première, il y a peut-être d'autres obstacles à franchir et tu me sembles très douée pour ça !
			DrawText("Ma3152","Ma3152.ogg",0) -- Les cloches ! La reine va arriver d'un instant à l'autre, je dois trouver ce trésor au plus vite. Une fois sa cupidité satisfaite, le moine devrait se montrer plus prompt à parler. 
			DrawText("Sc3153","Sc3153.ogg",4) -- Dépêche-toi, descends !
			SetMarker("cs\\Warp_0083.wp", 0, 0)
		end
	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0055.wp" then 
		if not AttackedByScrib then
			ChangeWarp(objectName)
		else
			LookAt(259, 001)
			AskSeparation()
		end
	end
	
	if objectName == "3D\\cs\\Warp_0083.wp" then 
		ChangeWarp(objectName)
	end

--DAY5
	if ETAT_DAY == "D5" then 
		
		if objectName == "eqc1" then
			if not DEAD_UNCOVERED then
				-- couvertures et corps
				StartAnimationPart("eqc1",41,80,1,false)
				PlaySound("Sounds/SFX/E_cb_drap_Glisse.ogg",1)
			end
--[[		elseif objectName == "kxc1" then 		--drap sur l'autel
			if not BLANK_MOVED_D5 then
				BLANK_MOVED_D5 = true
				StartAnimation("kxc1",1)
				PlaySound("Sounds/SFX/E_cb_drap_Glisse.ogg",1)
				SetMarker("kxc1",-1,0)
				SetMarker("kzc1",4,0)
			end]]
		end
		
		-- Pentagram
		if objectName == "kzc1" then
			if not CanTakePentacle then
				ShowPuzzle(7)
			else
				PentacleMoved = true
				RemoveObject("kzc1")
				SetMarker("kzc1", -1, 0)
				AddToBag("C_pentacle")
				AddToBag("C_Cylindre")
				SetMarker("kdc1", 4, 0)
			end
		end

		if objectName == "kdc1" then
			if Selected("C_Cylindre_grand") then
				StartAnimationPart("kdc1",6,7,-1,true)
				RemoveFromBag()
				Cylindre = true
			elseif Selected("C_pentacle") then
				if Cylindre then
					Pentacle = true
					SecretPassageW050 = true
					StartAnimationPart("kdc1",7,8,-1,true)
					RemoveFromBag()
					SetMarker("kdc1", -1, 0)
					PlaySound("Sounds/SFX/N_PousserTigeMetal.ogg", 1)
--					StartAnimation("kdc1", 1)
					AnimationSetToEnd("krc1",false)
					LookAt(088,012)
					PlaySound("Sounds/SFX/N_TremblementDeTerre.ogg", 1)
					StartAnimation("kac1", 1)
					StartAnimation("kbc1", 1)
					StartAnimation("kcc1", 1)		
					PillarsDown = true
					PuzzleMirrorsDone = false
--					DrawText("Sc3131","Sc3131.ogg",4) -- Alors ?
--					DrawText("Ma3163","Ma3163.ogg",0) -- Je ne sais pas encore.
--					DrawText("Sc3151","Sc3151.ogg",4) -- C'est parfait ! Descend la première, il y a peut-être d'autres obstacles à franchir et tu me sembles très douée pour ça !
--					DrawText("Ma3152","Ma3152.ogg",0) -- Les cloches ! La reine va arriver d'un instant à l'autre, je dois trouver ce trésor au plus vite. Une fois sa cupidité satisfaite, le moine devrait se montrer plus prompt à parler. 
--					DrawText("Sc3153","Sc3153.ogg",4) -- Dépêche-toi, descends !
				else
					DrawText("Ma0223","Ma0223.ogg",0) -- Il manque quelque chose !
				end
			else
				DrawText("Ma0223","Ma0223.ogg",0) -- Il manque quelque chose !
			end
		end
		
		if objectName == "pzc1" then
			AskSeparation()
		end
		
		if objectName == "3D\\PILLAR_1" then
			if not ColumnPuzzleFinished then
				CurrentColumn = 1
				ShowPuzzleCapilla(1)
			else
				OnPuzzleMirrorsAnswered()
			end
			
		elseif objectName == "3D\\PILLAR_2" then
			CurrentColumn = 2
			ShowPuzzleCapilla(2)
		elseif objectName == "3D\\PILLAR_3" then
			CurrentColumn = 3
			ShowPuzzleCapilla(3)
		elseif objectName == "3D\\PILLAR_4" then
			CurrentColumn = 4
			ShowPuzzleCapilla(4)
		elseif objectName == "3D\\PILLAR_5" then
			CurrentColumn = 5
			ShowPuzzleCapilla(5)
		elseif objectName == "3D\\PILLAR_6" then
			CurrentColumn = 6
			ShowPuzzleCapilla(6)
		end
		
	end 
end

function OnHealthChanged(health)
	PrintDebugMessage(health.."\n")
	if health == 0.0 then
		HideHealth()
	end
end

function OnPentagramPuzzleAnswered()
	CanTakePentacle = true
	SetMarker("kzc1", 2, 0)
	SetMarker("kxc1", -1, 0)
	AnimationSetToEnd("kxc1", false)
end

function SetupColumnaPuzzle()
	ColumnPuzzleFinished = false
	CurrentColumn = 0
	NbColumnResolved = 0
	NbColumnsToSolvePuzzle = 1
	SetMarker("PILLAR_1", 4, 0)
	SetMarker("PILLAR_2", -1, 0)
	SetMarker("PILLAR_3", -1, 0)
	SetMarker("PILLAR_4", -1, 0)
	SetMarker("PILLAR_5", -1, 0)
	SetMarker("PILLAR_6", -1, 0)
end

function OnColumnaPuzzleAnswered()
	if CurrentColumn == 1 then
		SetMarker("PILLAR_1", -1, 0)
	elseif CurrentColumn == 2 then
		SetMarker("PILLAR_2", -1, 0)
	elseif CurrentColumn == 3 then
		SetMarker("PILLAR_3", -1, 0)
	elseif CurrentColumn == 4 then
		SetMarker("PILLAR_4", -1, 0)
	elseif CurrentColumn == 5 then
		SetMarker("PILLAR_5", -1, 0)
	elseif CurrentColumn == 6 then
		SetMarker("PILLAR_6", -1, 0)
	end
	
	NbColumnResolved = NbColumnResolved + 1
	if NbColumnResolved == NbColumnsToSolvePuzzle then
		ColumnPuzzleFinished = true
		DrawText("Sc3018","Sc3018.ogg",4) -- Je savais que tu saurais y faire avec ces inventions païennes, une vraie sorcière !
		DrawText("Ma3148","Ma3148.ogg",0) -- &quot;Chaque signe un à un dans la tombe...&quot; Il y a des tombeaux sous chacune de ces colonnes, et des signes sur tous les chapiteaux. On dirait que la prophétie se réalise.
		SetMarker("PILLAR_1", 4, 0)
		
		PlaySound("Sounds/SFX/N_PivoterTeteColonne.ogg", 1)
		StartAnimation("kac1", false)
		StartAnimation("kbc1", false)
		StartAnimation("kcc1", false)	
		PillarsDown = true
		PuzzleMirrorsDone = false
	end
end

function OnPuzzleMirrorsAnswered()
	PuzzleMirrorsDone = true
	DrawText("Sc3151","Sc3151.ogg",4) -- C'est parfait ! Descend la première, il y a peut-être d'autres obstacles à franchir et tu me sembles très douée pour ça !
	DrawText("Ma3152","Ma3152.ogg",0) -- Les cloches ! La reine va arriver d'un instant à l'autre, je dois trouver ce trésor au plus vite. Une fois sa cupidité satisfaite, le moine devrait se montrer plus prompt à parler. 
	DrawText("Sc3153","Sc3153.ogg",4) -- Dépêche-toi, descends !
	
	LookAt(87, 009)
	StartAnimationPart("krc1", 1, 2, -1, false)
--	PlaySound()
	SetMarker("cs\\Warp_0083.wp", 0, 0)
end

function OnAnswered(textId)
	if ETAT_DAY == "D5" then 
		if textId == "Ma3004" then -- Pourquoi avoir tué Philibert ?

			StartAnimationPart("pzc1",0,20,-1,false)

--			StartAnimationPart("pzc1", 30, 60, -1, false)

			DrawText("Ma3005","Ma3005.ogg",0) -- Une victime plus proche de la reine Catherine aurait mieux collé à la malédiction.
			DrawText("Sc3006","Sc3006.ogg",4) -- Nous nous étions déjà rencontrés il y a longtemps. Il risquait de me faire soupçonner s'il révélait dans quelles circonstances.
			DrawText("Sc3007","Sc3007.ogg",4) -- Et puis, je savais qu'il n'était pas ici par hasard. Il a toujours couru après des vestiges antiques, je pouvais donc servir la malédiction et trouver un trésor, comment résister !?
			DrawText("Sc3008","Sc3008.ogg",4) -- A vrai dire j'ai failli abandonner jusqu'à ce que je comprenne que toi aussi tu étais sur les traces du butin. J'ai alors décidé de te laisser chercher pour moi.
			--AskSeparation()
		end
	
		if textId == "Ma3009" then -- Comment un homme de Dieu peut-il s'abaisser à de tels crimes ?
			StartAnimationPart("pzc1",30,60,-1,true)
			DrawText("Sc3010","Sc3010.ogg",4) -- Par intérêt autant que par conviction ! Allez, maintenant assez parlé, si tu veux vivre, tu dois trouver mon trésor, et le temps presse !
			--AskSeparation()
		end
		
		if textId == "Ma3011" then -- Avez-vous remarqué des inscriptions étranges, dans un alphabet très différent du nôtre ?
			StartAnimationPart("pzc1", 30, 60,-1,true)
			DrawText("Sc3012","Sc3012.ogg",4) -- Comme sur les chapiteaux par exemple ?
			DrawText("Ma3013","Ma3013.ogg",0) -- Peut-être, je vais voir.
		end
	
	end
end

function AskSeparation()
	if ETAT_DAY == "D5" then
		-- hide markers
		SetMarker("kxc1", -1, 0)
		SetMarker("kzc1", -1, 0)
		SetMarker("pzc1", -1, 0)
		PushAnswer("Ma3004") -- Pourquoi avoir tué Philibert ?
		PushAnswer("Ma3009") -- Comment un homme de Dieu peut-il s'abaisser à de tels crimes ?
		if not EarthQuake then
			PushAnswer("Ma3011") -- Avez-vous remarqué des inscriptions étranges, dans un alphabet très différent du nôtre ?
		end
	end 

end

function OnDocumentClosed(documentId)
	if documentId == "DeadEnd" then
		StartAnimationPart("pzc1", 30, 60, -1, false)
		AttackedByScrib = true
--		BLANK_MOVED_D5 = true
		AnimationSetToEnd("kxc1",true)
		SetMarker("kxc1", -1, 0)
		AnimationSetToEnd("kzc1")
		--SetMarker("kzc1", 4, 0)
--		SetHealth(1.0)
--		StartHealthTimer(1/600)
--		ShowHealth()
		DrawText("Sc2991","Sc2991.ogg",4) -- Ne t'inquiète pas pour cet étourdissement, il va vite se dissiper. A moins que tu ne sois très sensible au poison chère Madeleine.
		DrawText("Ma2992","Ma2992.ogg",0) -- Quoi ?
		DrawText("Sc2993","Sc2993.ogg",4) -- Je t'ai fait avaler quelques gouttes d'une préparation, disons particulièrement néfaste.
		DrawText("Sc2994","Sc2994.ogg",4) -- Si tu coopères je te donnerais l'antidote, dans le cas inverse tu ne seras qu'une victime de  plus !
		DrawText("Ma2995","Ma2995.ogg",0) -- Comment faire confiance à un assassin ?
		DrawText("Sc2996","Sc2996.ogg",4) -- Tu n'as pas le choix.
		DrawText("Sc2997","Sc2997.ogg",4) -- Je ne sais pas exactement ce que tu as trouvé dans les affaires de Philibert mais je suis sûr que tu cherches la même chose que moi.
		DrawText("Ma2998","Ma2998.ogg",0) -- De quoi parlez-vous ?
		DrawText("Sc2999","Sc2999.ogg",4) -- Ne perds pas ton temps, tu n'en as plus beaucoup.
		DrawText("Sc3000","Sc3000.ogg",4) -- Il y a un sanctuaire quelque part sous ce château, il contient sûrement un trésor. Et vu comme tu t'intéresses de près aux recherches du défunt Philibert, tu as sûrement une idée de comment le trouver !
		DrawText("Ma3001","Ma3001.ogg",0) -- Non, je ne sais pas du tout où il peut être, ni même s'il existe vraiment !
		DrawText("Sc3002","Sc3002.ogg",4) -- Mais si. Le bibliothécaire n'était pas homme à s'emballer sans raison. Il y a de grandes chances qu'on puisse y accéder par cette chapelle, en tout cas c'est ce qu'il pensait.
		DrawText("Sc3003","Sc3003.ogg",4) -- Regarde ce que j'ai trouvé sur l'autel je suis sûr que ça a un rapport avec le trésor.
		SetMarker("kzc1", 4, 0)
		BLANK_MOVED_D5 = true
	end
end
